Package ghidra.app.util.bin.format.pe.cli.tables

# Class CliTableAssembly.CliAssemblyRow

java.lang.Object
ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTableRow
ghidra.app.util.bin.format.pe.cli.tables.CliTableAssembly.CliAssemblyRow

All Implemented Interfaces:
  `CliRepresentable`

Enclosing class:
  `CliTableAssembly`

public class CliTableAssembly.CliAssemblyRow extends CliAbstractTableRow

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `short`
  `buildNumber`
  `int`
  `cultureIndex`
  `int`
  `flags`
  `int`
  `hashAlg`
  `short`
  `majorVersion`
  `short`
  `minorVersion`
  `int`
  `nameIndex`
  `int`
  `publicKeyIndex`
  `short`
  `revisionNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliAssemblyRow(int hashAlg, short majorVersion, short minorVersion, short buildNumber, short revisionNumber, int flags, int publicKeyIndex, int nameIndex, int cultureIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRepresentation()`

  ### Methods inherited from class ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTableRow

  `getRepresentation, getShortRepresentation, getShortRepresentation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### hashAlg

    public int hashAlg

  - ### majorVersion

    public short majorVersion

  - ### minorVersion

    public short minorVersion

  - ### buildNumber

    public short buildNumber

  - ### revisionNumber

    public short revisionNumber

  - ### flags

    public int flags

  - ### publicKeyIndex

    public int publicKeyIndex

  - ### nameIndex

    public int nameIndex

  - ### cultureIndex

    public int cultureIndex

- ## Constructor Details

  - ### CliAssemblyRow

    public CliAssemblyRow(int hashAlg, short majorVersion, short minorVersion, short buildNumber, short revisionNumber, int flags, int publicKeyIndex, int nameIndex, int cultureIndex)

- ## Method Details

  - ### getRepresentation

    public String getRepresentation()
    Specified by:
      `getRepresentation` in interface `CliRepresentable`
    Specified by:
      `getRepresentation` in class `CliAbstractTableRow`